#ifndef ALARMSETTINGS_H
#define ALARMSETTINGS_H

#include "fly-date-shared_global.h"

#include <QHash>
#include <QSettings>
#include <QSharedPointer>

namespace FlyDate {
class Alarm;

class FLYDATESHAREDSHARED_EXPORT AlarmSettings
{
public:
    using AlarmPtr  = QSharedPointer<Alarm>;
    using AlarmHash = QHash<QString, AlarmPtr>;

    static AlarmHash getAlarms(QString *closestAlarmId = nullptr);
    static AlarmPtr  getAlarm (const QString &id);
    static void      saveAlarm(const AlarmPtr alarm);
    static void      removeAlarm(const QString &id);

    AlarmSettings() = delete;

private:
    static AlarmPtr  getAlarm(QSettings &settings, const QString &id);
};

}

#endif // ALARMSETTINGS_H
