#ifndef CRONUTILS_H
#define CRONUTILS_H

#include "fly-date-shared_global.h"

#include <QString>

namespace FlyDate {

class FLYDATESHAREDSHARED_EXPORT CronUtils
{
public:
    /**
     * @brief Removes all records with fly-date-alarm-notify and saves cronStr if not empty
     * Will not save if there's nothing to change
     *
     * @param key       if(crontabString.contains(key)) { process }
     * @param cronStr   crontab record
     */
    static void updateUnique(const QString &key, const QString &cronStr = "");

    CronUtils() = delete;

private:
    static QString getCronData();
    static void    setCronData(const QString &data);
};

}

#endif // CRONUTILS_H
